# Uses of Class
org.apache.commons.codec.language.bm.Languages.LanguageSet

Packages that use Languages.LanguageSet
Package
Description
org.apache.commons.codec.language.bm
Implementation details of the Beider-Morse codec.

- ## Uses of Languages.LanguageSet in org.apache.commons.codec.language.bm

  Subclasses of Languages.LanguageSet in org.apache.commons.codec.language.bm
  Modifier and Type
  Class
  Description
  `static final class`
  `Languages.SomeLanguages`
  Some languages, explicitly enumerated.
  Fields in org.apache.commons.codec.language.bm declared as Languages.LanguageSet
  Modifier and Type
  Field
  Description
  `static final Languages.LanguageSet`
  Languages.`ANY_LANGUAGE`
  Any/all languages.
  `static final Languages.LanguageSet`
  Languages.`NO_LANGUAGES`
  No languages at all.
  Methods in org.apache.commons.codec.language.bm that return Languages.LanguageSet
  Modifier and Type
  Method
  Description
  `static Languages.LanguageSet`
  Languages.LanguageSet.`from(Set<String> languages)`
  Gets a language set for the given languages.
  `Languages.LanguageSet`
  Rule.Phoneme.`getLanguages()`
  Gets the language set.
  `Languages.LanguageSet`
  Lang.`guessLanguages(String input)`
  Guesses the languages of a word.
  `Languages.LanguageSet`
  Languages.SomeLanguages.`merge(Languages.LanguageSet other)`
  `abstract Languages.LanguageSet`
  Languages.LanguageSet.`restrictTo(Languages.LanguageSet other)`
  Returns an instance restricted to this instances and the given values'.
  `Languages.LanguageSet`
  Languages.SomeLanguages.`restrictTo(Languages.LanguageSet other)`
  Methods in org.apache.commons.codec.language.bm with parameters of type Languages.LanguageSet
  Modifier and Type
  Method
  Description
  `String`
  PhoneticEngine.`encode(String input, Languages.LanguageSet languageSet)`
  Encodes an input string into an output phonetic representation, given a set of possible origin languages.
  `static List<Rule>`
  Rule.`getInstance(NameType nameType, RuleType rt, Languages.LanguageSet langs)`
  Gets rules for a combination of name type, rule type and languages.
  `static Map<String,List<Rule>>`
  Rule.`getInstanceMap(NameType nameType, RuleType rt, Languages.LanguageSet langs)`
  Gets rules for a combination of name type, rule type and languages.
  `Languages.LanguageSet`
  Languages.SomeLanguages.`merge(Languages.LanguageSet other)`
  `Rule.Phoneme`
  Rule.Phoneme.`mergeWithLanguage(Languages.LanguageSet lang)`
  Returns a new Phoneme with the same text but a union of its current language set and the given one.
  `abstract Languages.LanguageSet`
  Languages.LanguageSet.`restrictTo(Languages.LanguageSet other)`
  Returns an instance restricted to this instances and the given values'.
  `Languages.LanguageSet`
  Languages.SomeLanguages.`restrictTo(Languages.LanguageSet other)`
  Constructors in org.apache.commons.codec.language.bm with parameters of type Languages.LanguageSet
  Modifier
  Constructor
  Description
  ``
  `Phoneme(CharSequence phonemeText, Languages.LanguageSet languages)`
  Constructs a new instance.
  ``
  `Phoneme(Rule.Phoneme phonemeLeft, Rule.Phoneme phonemeRight, Languages.LanguageSet languages)`
  Constructs a new instance.